Documents (sales & purchases)
Invoices, purchases, credit notes and quotes as documents.
- Base URL:
https://api.aikount.com - Every call requires the header
Authorization: Bearer <token>(Authentication and API keys).
| Method | Path | What for | Parameters |
|---|---|---|---|
GET | /documents/{doc_id}/pdf | Document Pdf | doc_id*, template |
GET | /documents/{doc_id}/preview | Document Preview | doc_id*, template |
GET | /documents/{doc_id}/reconciliations | Document Reconciliations | doc_id* |
GET | /invoices | List Invoices | doc_type, contact_id, status, from_date, to_date, search, country, customer_type, has_vat, regime, external_source, limit, offset |
POST | /invoices | Create Invoice | — |
DELETE | /invoices/{doc_id} | Delete Invoice | doc_id*, force |
GET | /invoices/{doc_id} | Get Invoice | doc_id* |
PATCH | /invoices/{doc_id} | Update Invoice | doc_id* |
GET | /invoices/{doc_id}/attachment | Download Invoice Attachment | doc_id* |
POST | /invoices/{doc_id}/attachment | Upload Invoice Attachment | doc_id* |
POST | /invoices/{doc_id}/cancel | Cancel Invoice | doc_id*, reason |
POST | /invoices/{doc_id}/duplicate | Duplicate Invoice | doc_id* |
POST | /invoices/{doc_id}/issue | Issue Invoice | doc_id* |
POST | /invoices/{doc_id}/payments | Add Invoice Payment | doc_id* |
POST | /invoices/{doc_id}/rectify | Rectify Invoice | doc_id* |
POST | /invoices/{doc_id}/send | Send Invoice | doc_id* |
POST | /invoices/bulk-delete | Bulk Delete Invoices | — |
POST | /invoices/bulk-download | Bulk Download Invoices | — |
POST | /invoices/bulk-issue | Bulk Issue Invoices | — |
GET | /invoices/export | Export Invoices | doc_type, contact_id, status, from_date, to_date, search, country, customer_type, has_vat, regime, external_source, format, columns |
POST | /invoices/import-csv | Import Invoices Csv Endpoint | dry_run |
GET | /purchases | List Purchases | contact_id, doc_type, status, from_date, to_date, search, has_attachment, pending, fiscal_incident, order, limit, offset |
POST | /purchases | Create Purchase | force |
DELETE | /purchases/{doc_id} | Delete Purchase | doc_id* |
GET | /purchases/{doc_id} | Get Purchase | doc_id* |
PATCH | /purchases/{doc_id} | Update Purchase | doc_id* |
GET | /purchases/{doc_id}/attachment | Download Purchase Attachment | doc_id* |
POST | /purchases/{doc_id}/attachment | Upload Purchase Attachment | doc_id* |
POST | /purchases/{doc_id}/fiscal-compliance/analyze | Analyze Purchase Fiscal | doc_id* |
POST | /purchases/{doc_id}/fiscal-compliance/dismiss | Dismiss Purchase Fiscal | doc_id* |
POST | /purchases/{doc_id}/fiscal-compliance/mark | Mark Purchase Fiscal | doc_id* |
POST | /purchases/{doc_id}/fiscal-compliance/reopen | Reopen Purchase Fiscal | doc_id* |
POST | /purchases/{doc_id}/fiscal-compliance/unmark | Unmark Purchase Fiscal | doc_id* |
POST | /purchases/{doc_id}/issue | Issue Purchase | doc_id* |
POST | /purchases/{doc_id}/payments | Add Purchase Payment | doc_id* |
POST | /purchases/{doc_id}/rectify | Rectify Purchase | doc_id* |
POST | /purchases/autogen-from-movements | Autogen Purchases From Movements | — |
POST | /purchases/bulk-delete | Bulk Delete Purchases | — |
POST | /purchases/bulk-download | Bulk Download Purchases | — |
GET | /purchases/export | Export Purchases | contact_id, status, from_date, to_date, search, has_attachment, pending, format, columns |
POST | /purchases/import-csv | Import Purchases Csv Endpoint | dry_run |
GET | /quotes | List Quotes | doc_type, contact_id, status, from_date, to_date, search, limit, offset |
POST | /quotes | Create Quote | — |
DELETE | /quotes/{doc_id} | Delete Quote | doc_id* |
GET | /quotes/{doc_id} | Get Quote | doc_id* |
PATCH | /quotes/{doc_id} | Update Quote | doc_id* |
POST | /quotes/{doc_id}/accept | Accept Quote | doc_id* |
POST | /quotes/{doc_id}/convert | Convert Quote | doc_id*, target* |
POST | /quotes/{doc_id}/reject | Reject Quote | doc_id* |
POST | /quotes/{doc_id}/send | Send Quote | doc_id* |
Full detail (parameters, bodies and schemas) lives in OpenAPI/Swagger. Parameters marked
*are required.